//////////////////////////////////////////////////////////
// Coordinate Transformation (Rotation and Translation) //
//////////////////////////////////////////////////////////

///////////////////////////////////////////
// Multiple-inclusion protection - BEGIN //
///////////////////////////////////////////
#ifndef  __Coord_Trans_H__
#define  __Coord_Trans_H__

///////////////
// Constants //
///////////////
#define		kPI		(3.14159265359)

//////////////////////////////
// Double Float Vector Type //
//////////////////////////////
typedef	struct
{
	double	x;
	double	y;
	double	z;
}
FloatVecType,
*FloatVecPtr;

//////////////////////////////////////
// Rotate coordinates around origin //
//////////////////////////////////////
extern void			CoordRot(
const FloatVecPtr	vFrom,
const FloatVecPtr	vTo,
const FloatVecPtr	vDist,
const char* const	rotord);

///////////////////////////
// Translate coordinates //
///////////////////////////
extern void			CoordTrans(
const FloatVecPtr	vFrom,
const FloatVecPtr	vTo,
const FloatVecPtr	vDist);

/////////////////////////////////////////
// Multiple-inclusion protection - END //
/////////////////////////////////////////
#endif //__Coord_Trans_H__
